/// <summary>
 /// Registers all the input parameters for this component.
 /// </summary>
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddTextParameter("Name", "N", "Name as text", GH_ParamAccess.item, "defaultTar");
     pManager.AddPlaneParameter("Plane", "P", "Plane as Plane", GH_ParamAccess.item);
     pManager.AddPlaneParameter("Reference Plane", "RP", "Reference Plane as a Plane", GH_ParamAccess.item);
     pManager.AddIntegerParameter("Axis Configuration", "AC", "Axis Configuration as int. This will modify the fourth value of the Robot Configuration Data in the RAPID Movement code line.", GH_ParamAccess.item, 0);
     pManager.AddParameter(new ExternalJointPositionParameter(), "External Joint Position", "EJ", "The resulting external joint position", GH_ParamAccess.item);
 }
示例#2
0
        /// <summary>
        /// Registers all the input parameters for this component.
        /// </summary>
        protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
        {
            pManager.AddTextParameter("Name", "N", "Robot Tool Name as Text", GH_ParamAccess.item, "default_tool");
            pManager.AddMeshParameter("Mesh", "M", "Robot Tool Mesh as Mesh", GH_ParamAccess.list);
            pManager.AddPlaneParameter("Attachment Plane", "AP", "Robot Tool Attachment Plane as Plane", GH_ParamAccess.item, Plane.WorldXY);
            pManager.AddPlaneParameter("Tool Plane", "TP", "Robot Tool Plane as Plane", GH_ParamAccess.item, Plane.WorldXY);

            pManager[1].Optional = true;
        }
示例#3
0
 /// <summary>
 /// Registers all the input parameters for this component.
 /// </summary>
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddPlaneParameter("StartPlane", "startPln", "The start plane of the beam (model in [m]). Red axis corresponds to the local y-axis of the cross section and green axis to the local z-axis", GH_ParamAccess.item);
     pManager.AddPlaneParameter("EndPlane", "endPln", "The end plane of the beam (model in [m]). Red axis corresponds to the local y-axis of the cross section and green axis to the local z-axis", GH_ParamAccess.item);
     pManager.AddNumberParameter("E-modulus", "E", "Young's modulus in [MPa]", GH_ParamAccess.item);
     pManager.AddNumberParameter("G-modulus", "G", "The shear modulus in [MPa]", GH_ParamAccess.item);
     pManager.AddNumberParameter("A", "A", "The cross section area in [mm2]", GH_ParamAccess.item);
     pManager.AddNumberParameter("Iy", "Iy", "The moment of inertia about the cross section y-axis in [mm4]", GH_ParamAccess.item);
     pManager.AddNumberParameter("Iz", "Iz", "The moment of inertia about the cross section z-axis in [mm4]", GH_ParamAccess.item);
     pManager.AddNumberParameter("It", "It", "The torsional moment of inertia in [mm4]", GH_ParamAccess.item);
 }
示例#4
0
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddPlaneParameter("Baseplane", "B", "Baseplane of the whole machine. Use this to move the machine around.", GH_ParamAccess.item, Plane.WorldXY);
     pManager.AddPlaneParameter("Workplane", "W", "Workplane to define G54 work offset, relative to the world origin.", GH_ParamAccess.item, Plane.WorldXY);
     pManager.AddPointParameter("Point", "P", "Tool position point to visualize.", GH_ParamAccess.item, Point3d.Origin);
     pManager.AddGenericParameter("MachineTool", "MT", "Active machine tool.", GH_ParamAccess.item);
     pManager.AddGenericParameter("Toolpath", "TP", "Active toolpath.", GH_ParamAccess.item);
     pManager.AddMeshParameter("Stock mesh", "M", "Mesh of workpiece material.", GH_ParamAccess.item);
     pManager.AddMeshParameter("Machine meshes", "MM", "Meshes of machine components", GH_ParamAccess.list);
     pManager.AddBooleanParameter("Reset", "R", "Reset visualization engine.", GH_ParamAccess.item, false);
 }
示例#5
0
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddPlaneParameter("Planes", "Planes", "Axis rotation planes for kinematics.", GH_ParamAccess.list);
     pManager.AddNumberParameter("Minimums", "Minimums", "Joint minimum angles, as a list of doubles.", GH_ParamAccess.list);
     pManager.AddNumberParameter("Maximums", "Maximums", "Joint maximum angles, as a list of doubles.", GH_ParamAccess.list);
     pManager.AddIntegerParameter("Indices", "Indices", "Inverse kinematic solution indices.", GH_ParamAccess.list, new List <int>()
     {
         0, 0, 0, 0, 0, 0
     });
     pManager.AddMeshParameter("Mesh", "Mesh", "List of robot mesh geometry. [Base + 6 joint meshes]", GH_ParamAccess.list);
     pManager.AddPlaneParameter("Base", "Base", "Optional custom robot base plane. [Default = World XY]", GH_ParamAccess.item, Plane.WorldXY);
     pManager[3].Optional = true;
     pManager[5].Optional = true;
 }
        /// <summary>
        /// Registers all the input parameters for this component.
        /// </summary>
        protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
        {
            pManager.AddTextParameter("Name", "N", "Robot Name as String", GH_ParamAccess.item, "New Robot");
            pManager.AddMeshParameter("Meshes", "M", "Robot Meshes as Mesh List", GH_ParamAccess.list);
            pManager.AddPlaneParameter("Axis Planes", "AP", "Axis Planes as Plane List", GH_ParamAccess.list);
            pManager.AddIntervalParameter("Axis Limits", "AL", "Axis Limits as Interval List", GH_ParamAccess.list);
            pManager.AddPlaneParameter("Position Plane", "PP", "Position Plane of the Robot as Plane", GH_ParamAccess.item);
            pManager.AddPlaneParameter("Mounting Frame", "MF", "Mounting Frame as Plane", GH_ParamAccess.item);
            pManager.AddParameter(new RobotToolParameter(), "Robot Tool", "RT", "Robot Tool as Robot Tool Parameter", GH_ParamAccess.item);
            pManager.AddParameter(new ExternalAxisParameter(), "External Axis", "EA", "External Axis as External Axis Parameter", GH_ParamAccess.list);

            pManager[6].Optional = true;
            pManager[7].Optional = true;
        }
 /// <summary>
 /// Registers all the input parameters for this component.
 /// </summary>
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddPlaneParameter("P0", "P0", "Local start plane", GH_ParamAccess.list);
     pManager.AddPlaneParameter("P1", "P1", "Local end plane", GH_ParamAccess.list);
     pManager.AddNumberParameter("Vy", "Vy", "The shear force parallel the local y-axis in [kN]", GH_ParamAccess.list);
     pManager.AddNumberParameter("Vz", "Vz", "The shear force parallel the local z-axis in [kN]", GH_ParamAccess.list);
     pManager.AddNumberParameter("Mt", "Mt", "The torsional moment in [kNm]", GH_ParamAccess.list);
     pManager.AddNumberParameter("My0", "My0", "The bending moment about the local y-axis at the start node in [kNm]", GH_ParamAccess.list);
     pManager.AddNumberParameter("Mz0", "Mz0", "The bending moment about the local z-axis at the start node in [kNm]", GH_ParamAccess.list);
     pManager.AddNumberParameter("My1", "My1", "The bending moment about the local y-axis at the end node in [kNm]", GH_ParamAccess.list);
     pManager.AddNumberParameter("Mz1", "Mz1", "The bending moment about the local z-axis at the end node in [kNm]", GH_ParamAccess.list);
     pManager.AddIntegerParameter("Option", "opt", "0 = Vy, 1 = Vz, 2 = Mt, 3 = My, 4 = Mz", GH_ParamAccess.item, 3);
     pManager.AddNumberParameter("ScaleFactor", "sc", "The scale factor of the moment diagram", GH_ParamAccess.item, 0.5);
     pManager.AddColourParameter("Colour", "c", "Diagram colour", GH_ParamAccess.item, Color.Coral);
 }
        /// <summary>
        /// Registers all the input parameters for this component.
        /// </summary>
        protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
        {
            // Use the pManager object to register your input parameters.
            pManager.AddPlaneParameter("Location", "Loc", "Point or Plane to assemble the RFSupport from.", GH_ParamAccess.item);
            pManager[0].Optional = true;
            pManager.AddIntegerParameter("Support Number", "No", "Optional index number to assign to the RFEM object.", GH_ParamAccess.item);
            pManager[1].Optional = true;
            pManager.AddNumberParameter("Displacement Dir X", "Tx", "(-1): Fixed; (0): Free; Other: Stiffness in [kN/m]", GH_ParamAccess.item);
            pManager[2].Optional = true;
            pManager.AddNumberParameter("Displacement Dir Y", "Ty", "(-1): Fixed; (0): Free; Other: Stiffness in [kN/m]", GH_ParamAccess.item);
            pManager[3].Optional = true;
            pManager.AddNumberParameter("Displacement Dir Z", "Tz", "(-1): Fixed; (0): Free; Other: Stiffness in [kN/m]", GH_ParamAccess.item);
            pManager[4].Optional = true;
            pManager.AddNumberParameter("Rotation Dir X", "Rx", "(-1): Fixed; (0): Free; Other: Stiffness in [kNm/rad]", GH_ParamAccess.item);
            pManager[5].Optional = true;
            pManager.AddNumberParameter("Rotation Dir Y", "Ry", "(-1): Fixed; (0): Free; Other: Stiffness in [kNm/rad]", GH_ParamAccess.item);
            pManager[6].Optional = true;
            pManager.AddNumberParameter("Rotation Dir Z", "Rz", "(-1): Fixed; (0): Free; Other: Stiffness in [kNm/rad]", GH_ParamAccess.item);
            pManager[7].Optional = true;
            pManager.AddTextParameter("Comment", "Comment", "Comment.", GH_ParamAccess.item);
            pManager[8].Optional = true;

            // you can use the pManager instance to access them by index:
            // pManager[0].Optional = true;
        }
示例#9
0
        protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
        {
            pManager.AddGenericParameter("Data", "D", "Can be a list of Planes, a Curve / Polyline, or a list of Points.", GH_ParamAccess.list);
            pManager.AddPlaneParameter("Orientation", "Ori", "Optional plane that will orient the input points if no planes are found.", GH_ParamAccess.list);

            pManager[1].Optional = true;
        }
示例#10
0
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddMeshParameter("Mesh", "M", "Mesh of the model", GH_ParamAccess.item);
     pManager.AddNumberParameter("Thickness", "T", "Thickness of the parts", GH_ParamAccess.item);
     pManager.AddPlaneParameter("Plane", "P", "Base plane", GH_ParamAccess.item, Plane.WorldXY);
     pManager.AddNumberParameter("Border", "B", "Overlapping of the layers", GH_ParamAccess.item, 0);
 }
示例#11
0
 /// <summary>
 /// Registers all the input parameters for this component.
 /// </summary>
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddParameter(new Param_Cloud {
         Name = "Cloud", NickName = "C", Description = "Point Cloud", Optional = false
     });
     pManager.AddPlaneParameter("Plane", "P", "Clipping plane", GH_ParamAccess.item, Plane.WorldXY);
 }
 /// <summary>
 /// Registers all the input parameters for this component.
 /// </summary>
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddMeshParameter("Base Mesh", "M", "Base Mesh.", GH_ParamAccess.item);
     pManager.AddGenericParameter("Field", "F", "Field to be trimmed.", GH_ParamAccess.item);
     pManager.AddPlaneParameter("Trim Plane", "P", "Trim Plane.", GH_ParamAccess.item);
     pManager.AddNumberParameter("Trim Value", "V", "Optional value set for all points in trim.", GH_ParamAccess.item, 1.00d);
 }
示例#13
0
 /// <summary>
 /// Registers all the input parameters for this component.
 /// </summary>
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddPlaneParameter("Base Plane", "Base Plan", "Base Plan ", GH_ParamAccess.item);
     pManager.AddNumberParameter("Length", "Length", "Length", GH_ParamAccess.item);
     pManager.AddNumberParameter("Width", "Width", "Width", GH_ParamAccess.item);
     pManager.AddNumberParameter("Height", "Height", "Height", GH_ParamAccess.item);
 }
示例#14
0
 /// <summary>
 /// Registers all the input parameters for this component.
 /// </summary>
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddParameter(new ModuleNameParameter(),
                           "Module Name",
                           "MN",
                           "Module name (except '" + Config.RESERVED_TO_STRING + "'). " +
                           "The Name will be converted to lowercase.",
                           GH_ParamAccess.item);
     pManager.AddPointParameter("Module Part Points",
                                "Pt",
                                "Points inside the Module Parts. Module parts will be fit" +
                                " into the Slots of the Envelope.",
                                GH_ParamAccess.list);
     pManager.AddGeometryParameter("Geometry",
                                   "G",
                                   "Geometry used to materialize the result of the " +
                                   "Monoceros Solver. The Module geometry does not have to fit " +
                                   "into the generated Module cage and can be larger, " +
                                   "smaller, different or none.",
                                   GH_ParamAccess.list);
     pManager[2].Optional = true;
     pManager.AddPlaneParameter("Base Plane",
                                "B",
                                "Grid space base plane. Defines orientation of the grid.",
                                GH_ParamAccess.item,
                                Plane.WorldXY);
     pManager.AddVectorParameter("Module Part Diagonal",
                                 "D",
                                 "Vector specifying single Module Part dimensions" +
                                 "in base-plane-aligned XYZ axes. The Module Part Diagonal " +
                                 "must match Envelope's Slot diagonals.",
                                 GH_ParamAccess.item,
                                 new Vector3d(1.0, 1.0, 1.0));
 }
        /// <summary>
        /// Registers all the input parameters for this component.
        /// </summary>
        protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
        {
            pManager.AddPointParameter("Spawn Point list", "Agent Spawn Pts", "list of points for agents to spawn at", GH_ParamAccess.list);
            pManager.AddNumberParameter("Agent Search Radius", "Search Radius", "search radius for agents to find neighbours as a double", GH_ParamAccess.item);
            pManager.AddPlaneParameter("Bounding Planes", "Bounds", "list of planes to act as boundaries for agents", GH_ParamAccess.list);



            //Agent Params #3 - #8
            //Agent force strengths
            pManager.AddNumberParameter("Agent Align Strength", "align str", "force to be applied to agent align behaviour as a double", GH_ParamAccess.item);
            pManager.AddNumberParameter("Agent attraction Strength", "attract str", "force to be applied to agent attraction or cohesion behaviour as a double", GH_ParamAccess.item);
            pManager.AddNumberParameter("Agent repel Strength", "repel str", "force to be applied to agent repel behaviour as a double", GH_ParamAccess.item);

            //agent radiuses
            pManager.AddNumberParameter("Agent Align Radius", "align rad", "radius for align behaviour to be in effect", GH_ParamAccess.item);
            pManager.AddNumberParameter("Agent attraction Radius", "attract rad", "radius for attract behaviour to be in effect", GH_ParamAccess.item);
            pManager.AddNumberParameter("Agent repel Radius", "repel rad", "radius for repel behaviour to be in effect", GH_ParamAccess.item);

            //boundary affects
            pManager.AddNumberParameter("Boundary repel strength", "boundary rad", "force to be applied to agent to repel from boundaries as a double", GH_ParamAccess.item);
            pManager.AddNumberParameter("Bpundary repel radius", "bounds rad", "radius for repel force from boundaries to be applied to agents", GH_ParamAccess.item);


            //restart
            pManager.AddBooleanParameter("restart simulation", "restart", "toogle to restart simulation", GH_ParamAccess.item);

            //view single agents behaviour & neighbours
            pManager.AddNumberParameter("selected Agent", "selected agent", "grabs agent from list to view its neighbours, their position & velocity,", GH_ParamAccess.item);

            //alter agent speed limit and accell limit
            pManager.AddNumberParameter("agent speed limit", "agent speed", "change the limit of agents max speed", GH_ParamAccess.item);
            pManager.AddNumberParameter("agent acc limit", "agent acc", "change the limit of the agents max accel", GH_ParamAccess.item);
        }
 /// <summary>
 /// Registers all the input parameters for this component.
 /// </summary>
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddPointParameter("Slot Point",
                                "Pt",
                                "Point inside the slot",
                                GH_ParamAccess.item);
     pManager.AddPlaneParameter("Base Plane",
                                "B",
                                "Grid space base plane. Defines orientation of the grid.",
                                GH_ParamAccess.item,
                                Plane.WorldXY);
     pManager.AddVectorParameter(
         "Grid Slot Diagonal",
         "D",
         "World grid slot diagonal vector specifying single grid slot dimension " +
         "in base-plane-aligned XYZ axes",
         GH_ParamAccess.item,
         new Vector3d(1.0, 1.0, 1.0)
         );
     pManager.AddParameter(new ModuleNameParameter(),
                           "Allowed Module Names",
                           "MN",
                           "Initiate the slot with specified Module names allowed.",
                           GH_ParamAccess.list);
     pManager.AddParameter(new ModuleParameter(),
                           "Modules",
                           "M",
                           "All available Monoceros Modules. (Optional)",
                           GH_ParamAccess.list);
     pManager[4].Optional = true;
 }
示例#17
0
 /// <summary>
 /// Registers all the input parameters for this component.
 /// </summary>
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddPlaneParameter("Base PLane", "Base Plane", "Base PLane", GH_ParamAccess.item, Plane.WorldXY);
     pManager.AddNumberParameter("Width", "Width", "Width", GH_ParamAccess.item, 50.0);
     pManager.AddNumberParameter("Height", "Height", "Height", GH_ParamAccess.item, 50.0);
     pManager.AddNumberParameter("Depth", "Depth", "Depth", GH_ParamAccess.item, 50.0);
 }
示例#18
0
 /// <summary>
 /// Registers all the input parameters for this component.
 /// </summary>
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddCurveParameter("Curves", "Crv", "Curve to offset", GH_ParamAccess.tree);
     pManager.AddNumberParameter("Distance", "Dist", "Offsett Distance", GH_ParamAccess.tree, 1);
     pManager.AddPlaneParameter("Planes", "Pln", "reference plane", GH_ParamAccess.tree, Plane.WorldXY);
     pManager.AddIntegerParameter("Corners", "Cor", "corner type", GH_ParamAccess.tree, 1);
 }
 /// <summary>
 /// Registers all the input parameters for this component.
 /// </summary>
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddCurveParameter("Polyline", "Pl", "A list of polylines to offset", GH_ParamAccess.item);
     pManager.AddPointParameter("Point", "P", "Offset Distance", GH_ParamAccess.item);
     pManager.AddPlaneParameter("Plane", "Pln", "Plane to project the polylines to", GH_ParamAccess.item, default(Plane));
     pManager.AddNumberParameter("Tolerance", "T", "Tolerance: all floating point data beyond this precision will be discarded.", GH_ParamAccess.item, Rhino.RhinoDoc.ActiveDoc.ModelAbsoluteTolerance);
 }
 /// <summary>
 /// Registers all the input parameters for this component.
 /// </summary>
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddPlaneParameter("Tree Planes", "TrPl", "planes describing the structure of a tree, ordered into two dimensional datatrees ( e.g. branch{0}, branch {1} etc).", GH_ParamAccess.tree);
     pManager.AddNumberParameter("Trim Length Base", "TrimB", "Length of node base", GH_ParamAccess.item, 5d);
     pManager.AddNumberParameter("Trim Length Top", "TrimT", "Length of node top", GH_ParamAccess.item, 5d);
     pManager.AddMeshParameter("Mesh Boundary", "Mesh", "Mesh Boundary of Geometry", GH_ParamAccess.item);
 }
示例#21
0
 /// <summary>
 /// Registers all the input parameters for this component.
 /// </summary>
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     IN_plane      = pManager.AddPlaneParameter("Base Plane", "Plane", "The base plane for the floor plan under analysis", GH_ParamAccess.item, Plane.WorldXY);
     IN_perimCurve = pManager.AddCurveParameter("Perimeter Curve", "Perimeter", "The curve that describes the extents of the floor plan boundary", GH_ParamAccess.item);
     IN_coreCurves = pManager.AddCurveParameter("Core Curve(s)", "Core Curve(s)", "The curves that describe the extents of the core boundaries", GH_ParamAccess.list);
     IN_resolution = pManager.AddNumberParameter("Target resolution", "Resolution", "Resolution of smart plan within reasonable range. The component takes care of the subdivisions not being too high or too low.", GH_ParamAccess.item);
 }
示例#22
0
        /// <summary>
        /// Registers all the input parameters for this component.
        /// </summary>
        protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
        {
            pManager.AddPlaneParameter("Location", "L", "Location", GH_ParamAccess.item, Plane.WorldXY);
            pManager.AddTextParameter("Text", "T", "Text", GH_ParamAccess.item);
            pManager.AddNumberParameter("Size", "S", "Size", GH_ParamAccess.item, 20);
            pManager.AddColourParameter("Color", "C", "Color", GH_ParamAccess.item, Color.Aqua);
            pManager.AddIntegerParameter("Justification", "J", "Text justification", GH_ParamAccess.item, 7);
            pManager.AddTextParameter("Font", "F", "Font", GH_ParamAccess.item, "Arial");
            pManager.AddBooleanParameter("Bold", "B", "Bold", GH_ParamAccess.item, false);
            pManager.AddBooleanParameter("Italy", "I", "Italy", GH_ParamAccess.item, false);

            pManager.HideParameter(0);
            pManager[1].Optional = true;
            pManager[3].Optional = true;
            Param_Integer obj = (Param_Integer)pManager[4];

            obj.AddNamedValue("Top Left", 1);
            obj.AddNamedValue("Top Center", 2);
            obj.AddNamedValue("Top Right", 3);
            obj.AddNamedValue("Middle Left", 4);
            obj.AddNamedValue("Middle Center", 5);
            obj.AddNamedValue("Middle Right", 6);
            obj.AddNamedValue("Bottom Left", 7);
            obj.AddNamedValue("Bottom Center", 8);
            obj.AddNamedValue("Bottom Right", 9);
        }
示例#23
0
        /// <summary>
        /// Registers all the input parameters for this component.
        /// </summary>
        protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
        {
            pManager.AddPlaneParameter("Location", "L", "Location", GH_ParamAccess.item, Plane.WorldXY);
            pManager.AddTextParameter("Text", "T", "Text", GH_ParamAccess.item);
            pManager.AddNumberParameter("Size", "S", "Size", GH_ParamAccess.item, 10);
            pManager.AddIntegerParameter("Justification", "J", "0 = BottomLeft, 1 = BottomCenter, 2 = BottomRight, 3 = MiddleLeft, 4 = MiddleCenter, 5 = MiddleRight, 6 = TopLeft, 7 = TopCenter, 8 = TopRight", GH_ParamAccess.item, 4);
            pManager.AddTextParameter("Font", "F", "Font", GH_ParamAccess.item, "Arial");
            pManager.AddBooleanParameter("Bold", "B", "Bold", GH_ParamAccess.item, false);
            pManager.AddNumberParameter("OffsetDistance", "O", "", GH_ParamAccess.item, 0);

            pManager.HideParameter(0);

            Param_Integer var = pManager[3] as Param_Integer;

            if (var != null)
            {
                var.AddNamedValue("BottomLeft", 0);
                var.AddNamedValue("BottomCenter", 1);
                var.AddNamedValue("BottomRight", 2);
                var.AddNamedValue("MiddleLeft", 3);
                var.AddNamedValue("MiddleCenter", 4);
                var.AddNamedValue("MiddleRight", 5);
                var.AddNamedValue("TopLeft", 6);
                var.AddNamedValue("TopCenter", 7);
                var.AddNamedValue("TopRight", 8);
            }
        }
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddPlaneParameter("Plane", "P", "Rectangle base plane", GH_ParamAccess.item, Plane.WorldXY);
     pManager.AddNumberParameter("X Size", "X", "Dimensions of rectangle in plane X direction.", GH_ParamAccess.item, 1.0);
     pManager.AddNumberParameter("Y Size", "Y", "Dimensions of rectangle in plane y direction.", GH_ParamAccess.item, 1.0);
     pManager.AddNumberParameter("Radius", "R", "Rectangle corner fillet radius", GH_ParamAccess.item, 0.0);
 }
示例#25
0
 /// <summary>
 /// Registers all the input parameters for this component.
 /// </summary>
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddPlaneParameter("Base plane", "Pl", "Base plane.", GH_ParamAccess.item, plane);
     pManager.AddNumberParameter("Radius", "R", "Radius.", GH_ParamAccess.item, r);
     pManager.AddNumberParameter("Angle", "Angle", "Defines the angular opening in degrees (from 0 to 360).", GH_ParamAccess.item, ang);
     pManager.AddGenericParameter("iSettings", "iSettings", "Volume mesh settings.", GH_ParamAccess.item);
 }
示例#26
0
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddCurveParameter("Path", "P", "Input polyline.", GH_ParamAccess.list);
     pManager.AddPlaneParameter("Workplane", "WP", "Active workplane for ramp.", GH_ParamAccess.item, Plane.WorldXY);
     pManager.AddNumberParameter("Ramp Height", "H", "Ramp height.", GH_ParamAccess.item, 6.0);
     pManager.AddNumberParameter("Ramp Length", "L", "Ramp length.", GH_ParamAccess.item, 18.0);
 }
示例#27
0
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddTextParameter("Name", "Name", "Name of the coordinate system.", GH_ParamAccess.list);
     pManager.AddPlaneParameter("Plane", "Plane", "Plane to prescribe coordinate system.", GH_ParamAccess.list);
     pManager[0].Optional = true;
     pManager[1].Optional = true;
 }
示例#28
0
 /// <summary>
 /// Registers all the input parameters for this component.
 /// </summary>
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddPlaneParameter("Base Plane", "Base Plan", "Base Plan", GH_ParamAccess.item, Plane.WorldXY);
     pManager.AddNumberParameter("Radius of Main Circle", "ROfMainCir", "Radius of Main Central Circle", GH_ParamAccess.item, 1);
     pManager.AddNumberParameter("Radius of Secondary Circle", "ROfSecCir", "Radius of Secondar Circle", GH_ParamAccess.item, 2);
     pManager.AddIntegerParameter("No Of Division", "No Of Division", "No Of Division", GH_ParamAccess.item, 3);
 }
示例#29
0
        protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
        {
            pManager.AddCurveParameter("Curves", "C", "", GH_ParamAccess.list);
            pManager.AddPlaneParameter("Plane", "P", "", GH_ParamAccess.item);

            pManager[1].Optional = true;
        }
示例#30
0
 protected override void RegisterInputParams(GH_Component.GH_InputParamManager pManager)
 {
     pManager.AddPlaneParameter("Plane", "P", "Base plane for spiral", GH_ParamAccess.item, Plane.WorldXY);
     pManager.AddNumberParameter("Inner Radius", "R0", "Inner radius for spiral", GH_ParamAccess.item, 1.0);
     pManager.AddNumberParameter("Outer Radius", "R1", "Outer radius for spiral", GH_ParamAccess.item, 10.0);
     pManager.AddIntegerParameter("Turns", "T", "Number of turns between radii", GH_ParamAccess.item, 10);
 }